summaryrefslogtreecommitdiffstats
path: root/.github/scripts/prepare_test_tools.sh
diff options
context:
space:
mode:
Diffstat (limited to '.github/scripts/prepare_test_tools.sh')
-rwxr-xr-x.github/scripts/prepare_test_tools.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/.github/scripts/prepare_test_tools.sh b/.github/scripts/prepare_test_tools.sh
new file mode 100755
index 0000000..b1495d8
--- /dev/null
+++ b/.github/scripts/prepare_test_tools.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+set -e
+
+
+echo ::group::Install xdp-test-harness
+sudo python3 -m pip install xdp_test_harness
+echo ::endgroup::
+
+
+echo ::group::Install virtme
+git clone https://github.com/amluto/virtme
+sudo python3 -m pip install ./virtme
+echo ::endgroup::
+
+
+if [[ $KERNEL_VERSION == "LATEST" ]]; then
+ echo ::group::Install pahole
+ # In the repo there is only version 1.15 and we need newer.
+ git clone https://git.kernel.org/pub/scm/devel/pahole/pahole.git
+ mkdir pahole/build
+ cd pahole/build
+ cmake -D__LIB=lib ..
+ sudo make install
+ sudo ldconfig /usr/local/lib
+ echo ::endgroup::
+fi